import { loader } from "@monaco-editor/react";
import { monacoThemes } from "../constants/monaco-themes";



const defineTheme = (theme: string) => {
  return new Promise((res) => {
    Promise.all([
      loader.init(),
      // @ts-ignore
      import(`monaco-themes/themes/${monacoThemes[theme]}.json`),
    ]).then(([monaco, themeData]) => {
      monaco.editor.defineTheme(theme, themeData);
      // @ts-ignore
      res();
    });
  });
};

export { defineTheme };